---
services:
  tunnel:
    image: registry.gitlab.com/hunter2.app/sentry_tunnel:1.0.10-3216f47
    environment:
      - "TUNNEL_IP=0.0.0.0"
      - "TUNNEL_PROJECT_IDS=${H2_SENTRY_PROJECT_ID}"
      - "TUNNEL_REMOTE_HOST=${H2_SENTRY_BASE_URL}"
    labels:
      - "traefik.docker.network=router_default"
      - "traefik.enable=true"
      - "traefik.http.middlewares.sentry.headers.customresponseheaders.Access-Control-Allow-Origin=*"
      - "traefik.http.routers.sentry.entrypoints=websecure"
      - "traefik.http.routers.sentry.middlewares=sentry"
      - "traefik.http.routers.sentry.rule=Host(`sentry.${H2_DOMAIN}`)"
      - "traefik.http.routers.sentry.tls.certresolver=letsencrypt"
    networks:
      - router
    ports:
      - 7878
    restart: always

networks:
  router:
    name: router_default
    external: true
